Bug 133612 - "environ" isn't available to libraries on darwin
Summary: "environ" isn't available to libraries on darwin
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-25 08:39 UTC by Anders F Björklund
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 19:45:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm-4.0.4-environ.patch (455 bytes, patch)
2004-09-25 08:42 UTC, Anders F Björklund
no flags Details | Diff
rpm-4.2.1-environ.patch (730 bytes, patch)
2004-09-25 08:42 UTC, Anders F Björklund
no flags Details | Diff
rpm-4.3.2-environ.patch (1.45 KB, patch)
2004-09-25 08:43 UTC, Anders F Björklund
no flags Details | Diff

Description Anders F Björklund 2004-09-25 08:39:29 UTC
Description of problem:

the "char **environ" symbol is not available
to dynamic libraries on the darwin platform


Version-Release number of selected component (if applicable):
rpm-4.0.4 (and above)

Comment 1 Anders F Björklund 2004-09-25 08:42:01 UTC
Created attachment 104311 [details]
rpm-4.0.4-environ.patch

Comment 2 Anders F Björklund 2004-09-25 08:42:51 UTC
Created attachment 104312 [details]
rpm-4.2.1-environ.patch

Comment 3 Anders F Björklund 2004-09-25 08:43:42 UTC
Created attachment 104313 [details]
rpm-4.3.2-environ.patch

Comment 4 Jeff Johnson 2005-01-04 19:45:03 UTC
Added to HEAD and rpm-4_4 branches, should be in rpm-4.4.1-0.6 when built.
Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.